# DARTFlo - MPhys
This repository contains some examples of analysis and optimization cases with [DART](https://gitlab.uliege.be/am-dept/dartflo) and [OpenMDAO](https://openmdao.org/)/[MPhys](https://github.com/openmdao/mphys).

## List of cases
- crm: aerostructural analysis of the NASA CRM.
- n12: aerodynamic shape optimiation of a NACA 0012 airfoil.
- m6: aaerodynamic shape optimiation of the ONERA M6 wing.
- rae_alu: aerostructural optimization of a metalic benchmark wing.
- rae_cfrp: aerostructural optimization of a composite benchmark wing.

## Version of solvers
- [OpenMDAO](https://openmdao.org/): v3.30
- [pyOptSparse](https://github.com/mdolab/pyoptsparse): v2.10.1
- [MPhys](https://github.com/openmdao/mphys): v2.0.0
- [OMFlut](https://gitlab.uliege.be/am-dept/omflut): v1.1.0
- [pySpline](https://github.com/mdolab/pyspline): v1.5.1
- [pyGeo](https://github.com/mdolab/pygeo): v1.13.0
- [Gmsh](https://gmsh.info/): v4.10.5
- [DART](https://gitlab.uliege.be/am-dept/dartflo): v1.3.0
- [MELD](https://github.com/smdogroup/funtofem): v0.3.9
- [TACS](https://github.com/smdogroup/tacs): v3.9.1
- [SDPM](https://gitlab.uliege.be/am-dept/sdpm): v1.2.0
- [PyPk](https://gitlab.uliege.be/am-dept/pypk): v1.1.0
