# Mass breakdown for the CRM (based on B777-200ER)
# B777-200ER data
#   MTOW     OEW     MZFW     MPAY     FUEL
#   298t    138t     195t      57t     135t
# Assumed data for design mission
#   WING     PAY     RES
#    20t     35t     15t
def get():
    return {
        'fixed_weight': 168000, # fixed mass, ie landing mass minus wing mass (includes payload and reserve fuel), kg
        'dynamic_pressure': [12091.9, 23568.3], # dynamic pressure (FL350/M0.85, FL200/M0.85), Pa
        'ref_area': 383.7, # reference area, m^2
        'gravity': 9.81, # gravity, m/s^2
        'res_fuel': 15000, # reserve fuel, kg
        'init_fuel': 135000, # baseline fuel weight capacity, kg
        'range': 7500, # range, nm
        'v_inf': 490.1, # KTAS @ FL370, M0.85
        'sfc': 0.53, # SFC, 1/h
        'cd_0': 0.0137 # CD0 for full aircraft (based on kenway2014)
    }
