def parse_args():
    """Parse command line arguments
    """
    from argparse import ArgumentParser
    parser = ArgumentParser()
    parser.add_argument('-v', help='increase output verbosity', action='count', default=0)
    parser.add_argument('-k', help='nb of threads', type=int, default=1)
    return parser.parse_args()

def get_path(fname, dir_name=''):
    """Append fname and dir_name to base path (where run.py is)
    """
    import os.path
    return os.path.join(os.path.abspath(os.path.dirname(__file__)), dir_name, fname)

def change_workdir():
    """Create workspace directory and change to it
    """
    import os, os.path
    # build the name of the workspace directory
    wdir = os.path.join(os.getcwd(), 'workspace')
    # create the directory
    if not os.path.isdir(wdir):
        print('- creating', wdir)
        os.makedirs(wdir)
    # change dir
    print('- changing to', wdir)
    os.chdir(wdir)

def print_time(selapsed):
    """Print elapsed time nicely
    """
    days, rem = divmod(selapsed, 24*60*60)
    hours, rem = divmod(rem, 60*60)
    minutes, seconds = divmod(rem, 60)
    print('Wall-clock time: {:0>2}-{:0>2}:{:0>2}:{:0>2}'.format(int(days),int(hours),int(minutes),int(seconds)))
