from utils import get_path
import numpy as np

def get():
    # Now, this is ugly...
    idA, idB, fA, fB = __getLinConstraints()
    # Configuration
    p = {
        # Input file
        'geoFile' : get_path('ffd.xyz', 'setup'),
        # Disciplines
        'disciplines' : ['aero'],
        # Design variables
        'localDV' : {
            'shape' : {
                'axis' : 'z'
            }
        },
        # Constraints
        'thckCon1D' : {
            'thckle_con' : {
                'ptList' : [[0.10, 0.0, 0.0], [0.10, 0.01, 0.0]],
                'nCon' : 2,
                'axis' : [0,0,1]
             },
            'thckte_con' : {
                'ptList' : [[0.99, 0.0, 0.0], [0.99, 0.01, 0.0]],
                'nCon' : 2,
                'axis' : [0,0,1]
             }
        },
        'volCon' : {
            'vol_con' : {
                'leList' : [[0.01, 0.001, 0.0], [0.01, 0.009, 0.0]],
                'teList' : [[0.99, 0.001, 0.0], [0.99, 0.009, 0.0]],
                'nSpan' : 2,
                'nChord' : 10
             }
         },
        'linConShape' : {
            'letespan_con' : {
                'indSetA' : idA,
                'indSetB' : idB,
                'factorA' : fA,
                'factorB' : fB
            }
         }
    }
    return p

def __getLinConstraints():
    from pygeo import DVGeometry
    # get indices
    dvgeo = DVGeometry(get_path('ffd.xyz', 'setup'))
    lIndex = dvgeo.getLocalIndex(0)
    idA = []
    idB = []
    fA = []
    fB = []
    # constrain FFD points along Z (LE and TE)
    for i in range(1):
        idA.extend([lIndex[0, i, 0], lIndex[-1, i, 0]])
        idB.extend([lIndex[0, i, 1], lIndex[-1, i, 1]])
        fA.extend([1.0, 1.0])
        fB.extend([1.0, 1.0])
    # constrain FFD points along Y (spanwise)
    for i in range(lIndex.shape[0]):
        idA.extend([lIndex[i, 0, 0], lIndex[i, 0, 1]])
        idB.extend([lIndex[i, 1, 0], lIndex[i, 1, 1]])
        fA.extend([1.0, 1.0])
        fB.extend([-1.0, -1.0])
    return idA, idB, fA, fB

