import numpy as np

def get(iscn):
    cfg = {
        'name': 'rae', # case name
        'k_ref': np.linspace(0.01, 1.0, 20, endpoint=True), # reference reduced frequencies
        'l_ref': 0.5 * 3.56, # reference length (half mean aerodynamic chord)
        #'mach': 0.0, # freesteam Mach number
        'alt': np.linspace(12e3, -12e3, 100, endpoint=True), # altitude range
        'n_modes': 4, # number of modes
        'g_struct': 0.002, # structural damping
        'rho_ks': 1e2, # KS aggregation parameter for KS
        'method': 'nipk', # method type
        'fluid': 'matched_isa', # fluid type
        'vrb': 1 # verbosity level
    }
    if iscn == 0:
        cfg['mach'] = 0.5
    elif iscn == 1:
        cfg['mach'] = 0.95
    else:
        raise RuntimeError('pypk_setup - Case not defined!\n')
    return cfg
